Summary: Talk client for one-on-one Internet chatting.
Name: talk
Version: 0.11
Release: 4mdk
Copyright: BSD
Group: Networking/Chat  
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/chat/netkit-ntalk-%{version}.tar.bz2
Patch0: netkit-ntalk-%{version}-misc.patch.bz2
Patch1: netkit-ntalk-%{version}-glibc21.patch.bz2
Obsoletes: ntalk
Provides: ntalk
Requires: inetd
BuildRoot: /var/tmp/%{name}-root

%description
The ntalk package provides client and daemon programs for the
Internet talk protocol, which allows you to chat with other users
on different systems.  Talk is a communication program which copies
lines from one terminal to the terminal of another user.

Install ntalk if you'd like to use talk for chatting with users on
different systems.

%prep
%setup -q -n netkit-ntalk-%{version}
%patch0 -p1
%patch1 -p1 -b .glibc21

%build
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,man/man8,sbin}

make INSTALLROOT=$RPM_BUILD_ROOT install


cd $RPM_BUILD_ROOT/usr/man/man8
for i in in.talkd.8 ntalkd.8 talkd.8; do
  rm $i
  ln -s in.ntalkd.8.bz2 $i.bz2
done

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/talk
/usr/man/man1/talk.1.bz2
/usr/sbin/in.ntalkd
/usr/sbin/in.talkd
/usr/man/man8/in.ntalkd.8.bz2
/usr/man/man8/in.talkd.8.bz2
/usr/man/man8/ntalkd.8.bz2
/usr/man/man8/talkd.8.bz2

%changelog
* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 0.11-4mdk
- fix group for release 7.1

* Wed Nov 03 1999 Jerome Martin <jerome@mandrakesoft.com>
- Rebuild for new distribution
- Minor Specfile cleanup

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr 09 1999 Jeff Johnson <jbj@redhat.com>
- update to multi-homed 0.11 version.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
